#version 430

out vec4 FragColor;

in vec2 texCoords;

uniform float brightness;

layout(binding = 20) uniform sampler2D screenTexture;
layout(binding = 21) uniform sampler2D bloomTexture;

void main()
{
	vec3 fragment = texture(screenTexture, texCoords).rgb;
	vec3 bloom = texture(bloomTexture, texCoords).rgb;

	vec3 color = fragment + bloom;

	float exposure = 0.9f;
	vec3 toneMapped = vec3(1.0f) - exp(-color * exposure);


	FragColor = vec4(toneMapped * brightness, 1.0f);
}