#version 430

layout(location = 0) in vec3 vertices;
layout(location = 1) in vec4 xyzs;
layout(location = 2) in vec4 color;

out vec4 particleColor;

uniform mat4 u_viewProjection;
uniform vec3 u_camRightView;
uniform vec3 u_camUpView;

void main()
{
	float particleSize = xyzs.w;
	vec3 particleCenter= xyzs.xyz;

  	vec3 vertexPosition = particleCenter
  		+ u_camRightView * vertices.x * particleSize
  		+ u_camUpView * vertices.y * particleSize;

  	gl_Position = u_viewProjection * vec4(vertexPosition, 1.0f);

  	particleColor = color;
}